<copyright> gdomk Color class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GDOMK.  GDOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GDOMK distribution; see the file COPYING.LIB.

    <id>$Id: Color.t,v 1.5 1998/04/29 11:22:15 yacc Exp $</id>
    </copyright>

<c>
#include <stdlib.h>
#include "glue.h"
</c>

implementation class
GdkColor: GdkWrapper

/* methods: */

end;

implementation instance
GdkColor

<doc> Return the {GdkColor} for which this object stands.  </doc>
pointer
  gdkColor
{
  = object;
}

/* methods: */

id
  initFromPtr pointer othercolor
{
  = self;

  pointer x = object;
  <c>
    if (!x) 
      x = malloc(sizeof(GdkColor));
    ((GdkColor *) x)->pixel = ((GdkColor *) othercolor)->pixel;
    ((GdkColor *) x)->red   = ((GdkColor *) othercolor)->red;
    ((GdkColor *) x)->green = ((GdkColor *) othercolor)->green;
    ((GdkColor *) x)->blue  = ((GdkColor *) othercolor)->blue;
  </c>
  object = x;

}

id
  init 
{
  = self;

  pointer x = object;
  <c>
    if (!x) 
      x = malloc(sizeof(GdkColor));
    ((GdkColor *) x)->pixel = 0;
    ((GdkColor *) x)->red   = 0;
    ((GdkColor *) x)->green = 0;
    ((GdkColor *) x)->blue  = 0;
  </c>
  object = x;
}

void dealloc {
  pointer x = object;
  <c> free(x); </c>
}

void 
  set_red char red 
{
  pointer x = object;
  <c>
    ((GdkColor *) x)->red = red;
  </c>
}

void 
  set_green char green 
{
  pointer x = object;
  <c>
    ((GdkColor *) x)->green = green;
  </c>
}

void 
  set_blue char blue 
{
  pointer x = object;
  <c>
    ((GdkColor *) x)->blue = blue;
  </c>
}

char (res) 
  red 
{
  pointer x = object;
  <c>
    res = ((GdkColor *) x)->red;
  </c>
}

char (res) 
  green 
{
  pointer x = object;
  <c>
    res = ((GdkColor *) x)->green;
  </c>
}

char (res) 
  blue
{
  pointer x = object;
  <c>
    res = ((GdkColor *) x)->blue;
  </c>
}

end;
