<copyright> gtomk Combo class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Combo.t,v 1.5 1998/04/14 13:25:04 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkCombo: GtkHBox

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_combo_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkCombo

<doc> Return the {gtkCombo} for which this object stands.  </doc>
pointer
  gtkCombo
{
  = object;
}

void
  set_value_in_list (int, boolean) (val, ok_if_empty)
{
  pointer obj = object;
<c>
  gtk_combo_set_value_in_list (obj, val, ok_if_empty);
</c>
}

void
  set_use_arrows boolean val
{
  pointer obj = object;
<c>
  gtk_combo_set_use_arrows (obj, val);
</c>
}

void
  set_use_arrows_always int val
{
  pointer obj = object;
<c>
  gtk_combo_set_use_arrows_always (obj, val);
</c>
}

void
  set_case_sensitive boolean val
{
  pointer obj = object;
<c>
  gtk_combo_set_case_sensitive (obj, val);
</c>
}

void
  set_item_string (GtkItem, String) (item, item_value)
{
  pointer obj = object, iobj = [item gtkItem];
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, item_value);
    gtk_combo_set_item_string (obj, iobj, s);
  }
</c>
}

void
  set_popdown_strings Indexed strings
{
  pointer obj = object, list;
  int i, len, n = [strings length];

  for (i = 0; i < n; i++)
    {
      String string = strings[i];
<c>
      {
	char *s;
	C_STRING_WITH_TOM_STRING (s, len, string);
	list = g_list_append (list, s);
      }
</c>
    }
<c>
  gtk_combo_set_popdown_strings (obj, list);
  g_list_free (list);
</c>
}

void
  disable_activate
{
  pointer obj = object;
<c>
  gtk_combo_disable_activate (obj);
</c>
}

end;
