<copyright> gtomk Entry class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Entry.t,v 1.5 1998/04/14 13:25:12 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkEntry: GtkEditable

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_entry_new ();
</c>
  = [[self alloc] init p];
}

instance (id)
  new int max
{
  pointer p;
<c>
  p = gtk_entry_new_with_max_length (max);
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkEntry

<doc> Return the {gtkEntry} for which this object stands.  </doc>
pointer
  gtkEntry
{
  = object;
}

void
  set_text String text
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, text);
    gtk_entry_set_text (obj, s);
  }
</c>
}

void
  append_text String text
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, text);
    gtk_entry_append_text (obj, s);
  }
</c>
}

void
  prepend_text String text
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, text);
    gtk_entry_prepend_text (obj, s);
  }
</c>
}

void
  set_position int position
{
  pointer obj = object;
<c>
  gtk_entry_set_position (obj, position);
</c>
}

String (text)
  get_text
{
  pointer obj = object;
<c>
  {
    char *s = gtk_entry_get_text (obj);
    text = (void *) byte_string_with_c_string (s);
  }
</c>
}

void
  select_region (int, int) (start, the_end)
{
  pointer obj = object;
<c>
  gtk_entry_select_region (obj, start, the_end);
</c>
}

void
  set_visibility boolean visible
{
  pointer obj = object;
<c>
  gtk_entry_set_visibility (obj, visible);
</c>
}

void
  set_editable boolean editable
{
  pointer obj = object;
<c>
  gtk_entry_set_editable (obj, editable);
</c>
}

void
  set_max_length int max
{
  pointer obj = object;
<c>
  gtk_entry_set_max_length (obj, max);
</c>
}

end;
