<copyright> gtomk Frame class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Frame.t,v 1.7 1999/04/18 21:02:34 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkFrame: GtkBin

<doc> Create a new frame, using {gtk_frame_new}.  The {label} may be
    {nil}.  </doc>
instance (id)
  new String label
{
  pointer p;
  int len;

<c>
  {
    char *s = NULL;

    if (label)
      C_STRING_WITH_TOM_STRING (s, len, label);

    p = gtk_frame_new (s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkFrame

<doc> Return the {gtkFrame} for which this object stands.  </doc>
pointer
  gtkFrame
{
  = object;
}

void
  set_label String label
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, label);
    gtk_frame_set_label (obj, s);
  }
</c>
}

void
  set_label_align (float, float) (xalign, yalign)
{
  pointer obj = object;
<c>
  gtk_frame_set_label_align (obj, xalign, yalign);
</c>
}

void
  set_shadow_type int GTK_SHADOW_something
{
  pointer obj = object;
<c>
  gtk_frame_set_shadow_type (obj, GTK_SHADOW_something);
</c>
}

end;
