<copyright> gtomk Paned class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Paned.t,v 1.4 1998/04/14 13:25:42 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkPaned: GtkContainer

end;

implementation instance
GtkPaned

<doc> Return the {gtkPaned} for which this object stands.  </doc>
pointer
  gtkPaned
{
  = object;
}

void
  add1 GtkWidget child
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_paned_add1 (obj, child_obj);
</c>
}

void
  add2 GtkWidget child
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_paned_add2 (obj, child_obj);
</c>
}

void
  handle_size int size
{
  pointer obj = object;
<c>
  gtk_paned_handle_size (obj, size);
</c>
}

void
  gutter_size int size
{
  pointer obj = object;
<c>
  gtk_paned_gutter_size (obj, size);
</c>
}

end;
