<copyright> gtomk Table class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Table.t,v 1.6 1998/04/14 13:26:03 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkTable: GtkContainer

instance (id)
  new (int, int, boolean) (rows, columns, homogeneous)
{
  pointer p;
<c>
  p = gtk_table_new (rows, columns, homogeneous);
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkTable

<doc> Return the {gtkTable} for which this object stands.  </doc>
pointer
  gtkTable
{
  = object;
}

void
  attach (GtkWidget, int, int, int, int, int, int, int, int)
	 (child, left_attach, right_attach, top_attach, bottom_attach,
	  xoptions, yoptions, xpadding, ypadding)
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_table_attach (obj, child_obj, left_attach, right_attach, top_attach,
		    bottom_attach, xoptions, yoptions, xpadding, ypadding);
</c>
}

void
  attach_defaults (GtkWidget, int, int, int, int)
		  (widget, left_attach, right_attach, top_attach, bottom_attach)
{
  pointer obj = object, wobj = [widget gtkWidget];
<c>
  gtk_table_attach_defaults (obj, wobj, left_attach, right_attach,
			     top_attach, bottom_attach);
</c>
}

void
  set_row_spacing (int, int) (row, spacing)
{
  pointer obj = object;
<c>
  gtk_table_set_row_spacing (obj, row, spacing);
</c>
}

void
  set_col_spacing (int, int) (column, spacing)
{
  pointer obj = object;
<c>
  gtk_table_set_col_spacing (obj, column, spacing);
</c>
}

void
  set_row_spacings int spacing
{
  pointer obj = object;
<c>
  gtk_table_set_row_spacings (obj, spacing);
</c>
}

void
  set_col_spacings int spacing
{
  pointer obj = object;
<c>
  gtk_table_set_col_spacings (obj, spacing);
</c>
}

void
  set_homogeneous boolean homogeneous
{
  pointer obj = object;
<c>
  gtk_table_set_homogeneous (obj, homogeneous);
</c>
}

end;
