<copyright> gtomk TipsQuery class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: TipsQuery.t,v 1.4 1998/04/14 13:26:05 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkTipsQuery: GtkLabel

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_tips_query_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkTipsQuery

<doc> Return the {gtkTipsQuery} for which this object stands.  </doc>
pointer
  gtkTipsQuery
{
  = object;
}

void
  start_query
{
  pointer obj = object;
<c>
  gtk_tips_query_start_query (obj);
</c>
}

void
  stop_query
{
  pointer obj = object;
<c>
  gtk_tips_query_stop_query (obj);
</c>
}

void
  set_caller GtkWidget caller
{
  pointer obj = object, caller_obj = [caller gtkWidget];
<c>
  gtk_tips_query_set_caller (obj, caller_obj);
</c>
}

void
  set_labels (String, String) (label_inactive, label_no_tip)
{
  pointer obj = object;
  int len;
<c>
  {
    char *s, *t;
    C_STRING_WITH_TOM_STRING (s, len, label_inactive);
    C_STRING_WITH_TOM_STRING (t, len, label_no_tip);
    gtk_tips_query_set_labels (obj, s, t);
  }
</c>
}

end;
