<copyright> gtomk ToggleButton class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: ToggleButton.t,v 1.6 1998/04/21 22:37:18 yacc Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkToggleButton: GtkButton

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_toggle_button_new ();
</c>
  = [[self alloc] init p];
}

<doc> Create a new toggle button, using
    {gtk_toggle_button_new_with_label}.  </doc>
instance (id)
  new_with_label String label
{
  pointer p;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, label);
    p = gtk_toggle_button_new_with_label (s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkToggleButton

<doc> Return the {gtkToggleButton} for which this object stands.  </doc>
pointer
  gtkToggleButton
{
  = object;
}

void
  set_mode boolean draw_indicator
{
  pointer obj = object;
<c>
  gtk_toggle_button_set_mode (obj, draw_indicator);
</c>
}

void
  set_state boolean state
{
  pointer obj = object;
<c>
  gtk_toggle_button_set_state (obj, state);
</c>
}

void
  toggled
{
  pointer obj = object;
<c>
  gtk_toggle_button_toggled (obj);
</c>
}

<doc> returns the toggled status of a {ToggleButton}. </doc>

boolean (res)
  active
{
  pointer p=object;
  <c> res= ((GtkToggleButton *) p)->active; </c>
}

end;


