<copyright> tomgnome About class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: About.t,v 1.3 1999/04/30 20:46:17 tiggr Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/gnome-defs.h>
#include <libgnomeui/gnome-about.h>
#include <tom/util.h>
</c>

implementation class
GnomeAbout: GnomeDialog

instance (id)
        new String title
    version String version
  copyright String copyright
    authors ObjectArray authors
   comments String comments
       logo String logofilename
{
  pointer about;
  int alen = [authors length];
  int i;
  String author;
  <c> {
    char **cauthors = alloca (sizeof(gchar *) * (alen + 1));
    char *ctitle;
    char *cversion;
    char *ccomments;
    char *ccopyright;
    char *clogo = 0;
    int helplen;

    C_STRING_WITH_TOM_STRING (ctitle, helplen, title);
    C_STRING_WITH_TOM_STRING (cversion, helplen, version);
    C_STRING_WITH_TOM_STRING (ccomments, helplen, comments);    
    C_STRING_WITH_TOM_STRING (ccopyright, helplen, copyright);
    if (logofilename)
      C_STRING_WITH_TOM_STRING (clogo, helplen, logofilename);

    for (i = 0; i < alen; i++) {
      </c>
      author = authors[i];
      <c>
      C_STRING_WITH_TOM_STRING (cauthors[i], helplen, author);
    }
    cauthors[alen] = 0;
    about = gnome_about_new (ctitle,
			     cversion,
			     ccopyright,
			     cauthors,
			     ccomments,
			     clogo);
  } </c>
  = [[self alloc] init about];
}

end;

implementation instance
GnomeAbout

<doc> Return the {GnomeAbout} for which this object stands.  </doc>
pointer
  gnomeAbout
{
  = object;
}

end;
