<copyright> tomgnome App class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: App.t,v 1.11 1999/04/30 20:46:18 tiggr Exp $</id>
    </copyright>

<gnome_version>0.99.8</gnome_version>
<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/libgnome.h>
#include <libgnomeui/libgnomeui.h>
#include <stdio.h>
#include <tom/util.h>
#include <stdlib.h>
#include <assert.h>

</c>

implementation class
GnomeApp: GtkWindow

instance (id)
  new (String, String) (appname, title)
{
  pointer capp;
  <c> {
    int len;
    gchar *ctitle;
    gchar *cappname;

    C_STRING_WITH_TOM_STRING (ctitle, len, title);
    C_STRING_WITH_TOM_STRING (cappname, len, appname);

    capp = gnome_app_new(cappname, ctitle);
  } </c>
  = [[self alloc] init capp];
}

end;

implementation instance
GnomeApp

<doc> Return the {GnomeApp} for which this object stands.  </doc>
pointer
  gnomeApp
{
  = object;
}

void
  set_menus GtkMenuBar menubar
{
  pointer obj = object;
  pointer cmenubar = [menubar gtkMenuBar];
  <c> gnome_app_set_menus ((GnomeApp *) obj, (GtkMenuBar *) cmenubar); </c>
}

void
  create_menus GnomeUIArray menuinfo
{
  pointer obj = object;
  pointer cmenuinfo = [menuinfo gnomeUIInfo];
  
  <c>
   gnome_app_create_menus((GnomeApp *) obj, (GnomeUIInfo *) cmenuinfo);
  </c>
}

void
  create_toolbar GnomeUIArray tbinfo
{
  pointer obj = object;
  pointer ctbinfo = [tbinfo gnomeUIInfo];
  
  <c>
   gnome_app_create_toolbar((GnomeApp *) obj, (GnomeUIInfo *) ctbinfo);
  </c>
}

void
  remove_menus (String, int) (path, items)
{
  pointer obj = object;
  <c> {
    int len;
    char *cpath;

    C_STRING_WITH_TOM_STRING (cpath, len, path);
    gnome_app_remove_menus ((GnomeApp *) obj, cpath, items);
  } </c>
}

void
  insert_menus (String, GnomeUIArray) (path, menuinfo)
{
  pointer obj = object;
  pointer cmenuinfo = [menuinfo gnomeUIInfo];
  
  <c> {
    int len;
    char *cpath;

    C_STRING_WITH_TOM_STRING (cpath, len, path);

    gnome_app_insert_menus((GnomeApp *) obj, cpath, (GnomeUIInfo *) cmenuinfo);
  } </c>
}


void
  set_toolbar GtkToolBar toolbar
{
  pointer obj = object;
  pointer ctoolbar = [toolbar gtkToolBar];
  <c> gnome_app_set_toolbar ((GnomeApp *) obj, (GtkToolbar *) ctoolbar); </c>
}

void
  set_statusbar GtkWidget statusbar
{
  pointer obj = object;
  pointer cstatusbar = [statusbar gtkWidget];
  <c> gnome_app_set_statusbar ((GnomeApp *) obj, (GtkWidget *) cstatusbar); </c>
}

void
  set_contents GtkWidget contents
{
  pointer obj = object;
  pointer ccontents = [contents gtkWidget];
  <c> gnome_app_set_contents ((GnomeApp *) obj, (GtkWidget *) ccontents); </c>
}

end;
