<copyright> tomgnome DateEdit class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: DateEdit.t,v 1.2 1998/07/02 13:49:57 yacc Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <time.h>
#include <libgnomeui/gnome-dateedit.h>
#include <tom/util.h>
</c>

implementation class
GnomeDateEdit: GtkHBox

instance (id)
  new int the_time
  showTime: boolean showtime = NO
  use24hours: boolean use24hours = YES
{
  pointer gde;
  <c> gde = gnome_date_edit_new(the_time, showtime, use24hours); </c>
  = [[self alloc] init gde];
}

end;

implementation instance
GnomeDateEdit

<doc> Return the {GnomeDateEdit} for which this object stands.  </doc>
pointer
  gnomeDateEdit
{
  = object;
}

void
  set_time int the_time
{
  pointer gde = object;
  <c> gnome_date_edit_set_time ((GnomeDateEdit *) gde, the_time); </c>
}

void
  set_popup_range (int, int) (low_hour, high_hour) 
{
  pointer gde = object;
  <c> gnome_date_edit_set_popup_range ((GnomeDateEdit *) gde, 
				       low_hour,
				       high_hour); </c>
}

int (the_time)
  get_date
{
  pointer gde = object;
  <c> the_time = gnome_date_edit_get_date ((GnomeDateEdit *) gde); </c>
}

end;
