<copyright> tomgnome GdeTest example
    By <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka.

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: LessTest.t,v 1.9 1999/02/17 23:25:50 tiggr Exp $</id>
    </copyright>

implementation class
Tedtest: gtomk.Constants

void
  hello
{
  [[[stdio err] print "Hello World"] nl];
}

boolean
  delete_event pointer event
{
  [[[stdio err] print "delete event occured"] nl];
  = TRUE;
}

void
  destroy
{
  [gtomk main_quit];
}

int
  main MutableArray args
{
  [gtomk init args];

  GnomeApp window = [GnomeApp new ("lesstest", "A test for GnomeLess")];
  [window connect "delete_event" to self using selector (void destroy) 
	  after: NO
	  overrideArguments: YES];
  [window connect "destroy" to self using selector (void destroy) after: NO];

  Invocation quitinvoke = [Invocation for selector(void destroy) to: self];
  GnomeUIArray lesstestmenu
    = [GnomeUIArray with [GnomeUIInfoItem new "Quit" to quitinvoke
			   tip: "Click here to quit this worthless demo."
			   stock: "Menu_Quit"]];
  GnomeUIArray helpmenu
    = [GnomeUIArray with [GnomeUIInfoItem new "About" 
			   to [Invocation for selector (void doabout) to: self]
			   stock: "Menu_About"]];
  GnomeUIArray menu
    = [GnomeUIArray with ([GnomeUIInfoSubtree new "LessTest"
					      subtree lesstestmenu],
			  [GnomeUIInfoSubtree new "Help" subtree helpmenu])];
  String quittext = "Quit";
  GnomeUIArray toolbar
    = [GnomeUIArray with ([GnomeUIInfoItem new quittext to quitinvoke
			    tip: "Click here to quit this worthless demo."
			    stock: "Menu_Quit"])];
  GtkStatusbar bar = [GtkStatusbar new];
  [bar show];
  [window set_statusbar bar];
  [window create_menus menu];
  [window create_toolbar toolbar];

  GnomeLess gless = [GnomeLess new];
  [window set_contents gless];

  [gless show];
  [window show];
  [gless set_fixed_font TRUE];
  [gless show_file "/etc/passwd"];

  /* This method does not return.  */
  [gtomk main];
}

void
  doabout
{
  GnomeAbout ga
    = [GnomeAbout new "GnomeLess Test" version "0.0"
		  copyright "(c) 1998, 1999 Andreas Kostyrka"
		  authors [ObjectArray with ("Andreas Kostyrka",
					     "Pieter Schoenmakers")]
		  comments "This is an example for the TOM/Gtk tomgnome unit."
		  logo nil];
  [ga show];
}

end;

implementation instance
Tedtest

end;
