<copyright> gtomk ButtonBox class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: ButtonBox.t,v 1.4 1998/04/14 13:24:55 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkButtonBox: GtkBox

(int, int) (min_width, min_height)
  get_child_size_default
{
<c>
  {
    gint w, h;
    gtk_button_box_get_child_size_default (&w, &h);
    min_width = w;
    min_height = h;
  }
</c>
}

(int, int) (ipad_x, ipad_y)
  get_child_ipadding_default
{
<c>
  {
    gint x, y;
    gtk_button_box_get_child_ipadding_default (&x, &y);
    ipad_x = x;
    ipad_y = y;
  }
</c>
}

void
  gtk_button_box_set_child_size_default (int, int) (min_width, min_height)
{
<c>
  gtk_button_box_set_child_size_default (min_width, min_height);
</c>
}

void
  gtk_button_box_set_child_ipadding_default (int, int) (ipad_x, ipad_y)
{
<c>
  gtk_button_box_set_child_ipadding_default (ipad_x, ipad_y);
</c>
}

end;

implementation instance
GtkButtonBox

<doc> Return the {gtkButtonBox} for which this object stands.  </doc>
pointer
  gtkButtonBox
{
  = object;
}

int (result)
  get_spacing
{
  pointer obj = object;
<c>
  result = gtk_button_box_get_spacing (obj);
</c>
}

int (GTK_BUTTONBOX_something)
  get_layout
{
  pointer obj = object;
<c>
  GTK_BUTTONBOX_something = gtk_button_box_get_layout (obj);
</c>
}

(int, int) (min_width, min_height)
  get_child_size
{
  pointer obj = object;
<c>
  {
    int w, h;
    gtk_button_box_get_child_size (obj, &w, &h);
    min_width = w;
    min_height = h;
  }
</c>
}

(int, int) (ipad_x, ipad_y)
  get_child_ipadding
{
  pointer obj = object;
<c>
  {
    int x, y;
    gtk_button_box_get_child_ipadding (obj, &x, &y);
    ipad_x = x;
    ipad_y = y;
  }
</c>
}

void
  set_spacing int spacing
{
  pointer obj = object;
<c>
  gtk_button_box_set_spacing (obj, spacing);
</c>
}

void
  set_layout int GTK_BUTTONBOX_something
{
  pointer obj = object;
<c>
  gtk_button_box_set_layout (obj, GTK_BUTTONBOX_something);
</c>
}

void
  set_child_size (int, int) (min_width, min_height)
{
  pointer obj = object;
<c>
  gtk_button_box_set_child_size (obj, min_width, min_height);
</c>
}


void
  set_child_ipadding (int, int) (ipad_x, ipad_y)
{
  pointer obj = object;
<c>
  gtk_button_box_set_child_ipadding (obj, ipad_x, ipad_y);
</c>
}

end;
