<copyright> gtomk CheckButton class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: CheckButton.t,v 1.5 1998/04/20 09:26:18 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkCheckButton: GtkToggleButton

<doc> Create a new check button, using {gtk_check_button_new}.  </doc>
instance (id)
  new
{
  pointer p;
<c>
  p = gtk_check_button_new ();
</c>
  = [[self alloc] init p];
}

<doc> Create a new check button, using {gtk_check_button_new_with_label}.
    </doc>
instance (id)
  new_with_label String label
{
  pointer p;
  int len;
<c>
  {
    char *s;

    C_STRING_WITH_TOM_STRING (s, len, label);

    p = gtk_check_button_new_with_label (s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkCheckButton

<doc> Return the {gtkCheckButton} for which this object stands.  </doc>
pointer
  gtkCheckButton
{
  = object;
}

end;
