<copyright> gtomk ColorSelection class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: ColorSelection.t,v 1.5 1998/04/14 13:25:02 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkColorSelection: GtkVBox

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_color_selection_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkColorSelection

<doc> Return the {gtkColorSelection} for which this object stands.  </doc>
pointer
  gtkColorSelection
{
  = object;
}

void
  set_update_policy int GTK_UPDATE_something
{
  pointer obj = object;
<c>
  gtk_color_selection_set_update_policy (obj, GTK_UPDATE_something);
</c>
}

void
  set_opacity boolean use_opacity
{
  pointer obj = object;
<c>
  gtk_color_selection_set_opacity (obj, use_opacity);
</c>
}

// A color apparantly is a double[RED..BLUE]. It should be wrapped...
// Fri Apr  3 14:23:49 1998, tiggr@gerbil.org
//void gtk_color_selection_set_color         (GtkColorSelection     *colorsel,
//					      gdouble               *color);
//
//void gtk_color_selection_get_color         (GtkColorSelection     *colorsel,
//                                            gdouble               *color);

end;
