<copyright> gtomk MenuBar class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: MenuBar.t,v 1.6 1998/04/14 13:25:34 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkMenuBar: GtkMenuShell

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_menu_bar_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkMenuBar

<doc> Return the {gtkMenuBar} for which this object stands.  </doc>
pointer
  gtkMenuBar
{
  = object;
}

void
  append GtkWidget child
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_menu_bar_append (obj, child_obj);
</c>
}

void
  prepend GtkWidget child
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_menu_bar_prepend (obj, child_obj);
</c>
}

void
  insert (GtkWidget, int) (child, position)
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_menu_bar_insert (obj, child_obj, position);
</c>
}

end;
