<copyright> gtomk ToolTips class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: ToolTips.t,v 1.4 1998/04/14 13:26:08 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkToolTips: GtkData

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_tooltips_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkToolTips

<doc> Return the {gtkToolTips} for which this object stands.  </doc>
pointer
  gtkToolTips
{
  = object;
}

void
  enable
{
  pointer obj = object;
<c>
  gtk_tooltips_enable (obj);
</c>
}

void
  disable
{
  pointer obj = object;
<c>
  gtk_tooltips_disable (obj);
</c>
}

void
  set_delay int delay
{
  pointer obj = object;
<c>
  gtk_tooltips_set_delay (obj, delay);
</c>
}

void
  set_tip (GtkWidget, String, String) (widget, tip_text, tip_private)
{
  pointer obj = object, wobj = [widget gtkWidget];
  int len;
<c>
  {
    char *tt, *tp;
    C_STRING_WITH_TOM_STRING (tt, len, tip_text);
    C_STRING_WITH_TOM_STRING (tp, len, tip_private);
    gtk_tooltips_set_tip (obj, wobj, tt, tp);
  }
</c>
}

void
  set_colors (GdkColor, GdkColor) (background, foreground)
{
  pointer obj = object, bg = [background gdkColor], fg = [foreground gdkColor];
<c>
  gtk_tooltips_set_colors (obj, bg, fg);
</c>
}

pointer (GtkTooltipData_pointer)
  data_get
{
  pointer obj = object;
<c>
  GtkTooltipData_pointer = gtk_tooltips_data_get (obj);
</c>
}

end;
