<copyright> tomgnome Help class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: Help.t,v 1.2 1999/04/30 20:46:28 tiggr Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/libgnome.h>
#include <libgnome/gnome-help.h>
#include <tom/util.h>
</c>

implementation class
GnomeHelp

String (res)
  find_file (String, String) (app, path)
{
  int len;
  
  <c> {
    gchar *capp, *cpath, *cres;

    C_STRING_WITH_TOM_STRING (capp, len, app);
    C_STRING_WITH_TOM_STRING (cpath, len, path);

    cres = gnome_help_file_find_file (capp, cpath);
    res = (void *) byte_string_with_c_string (cres);
    g_free (cres);
  } </c>
}

String (res)
  path (String, String) (app, path)
{
  int len;
  
  <c> {
    gchar *capp, *cpath, *cres;

    C_STRING_WITH_TOM_STRING (capp, len, app);
    C_STRING_WITH_TOM_STRING (cpath, len, path);
    
    cres = gnome_help_file_path (capp, cpath);
    res = (void *) byte_string_with_c_string (cres);
    g_free (cres);
  } </c>
}

void
  display (String, String) (name, path)
{
  int len;
  
  <c> {
    GnomeHelpMenuEntry entry;

    C_STRING_WITH_TOM_STRING (entry.name, len, name);
    C_STRING_WITH_TOM_STRING (entry.path, len, path);
    
    gnome_help_display (0, &entry);
  } </c>
}

void
  goto String file
{
  int len;
  
  <c> {
    gchar *cfile;

    C_STRING_WITH_TOM_STRING (cfile, len, file);
    
    gnome_help_goto (0, cfile);
  } </c>
}

end;

implementation instance
GnomeHelp

end;
